<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Positive_blog
 */

get_header(); ?>

	<div class="col-12 col-md-8 col-lg-9">
	<main class="main-content">

	<?php
	if ( have_posts() ) : ?>

		<?php
			the_archive_title( '<h1 class="entry-title py-3">', '</h1>' );
			the_archive_description( '<div class="archive-description pb-3">', '</div>' );
		?>

		<?php while ( have_posts() ) : the_post(); ?>

			<article class="brick my-3">
				<header class="entry-header">
					<h2 class= "entry-title pt-3 px-3">
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
							<?php the_title(); ?>
						</a>
					</h2>
				</header>
				<div class="entry-summary px-3 pb-3">
					<?php the_excerpt(); ?>
				</div>
			</article>

		<?php endwhile; ?>

		<div class="pagination-links text-center p-3">
			<?php posts_nav_link(' '); ?>
		</div>

		<?php else: ?>
		<div class="brick my-3 p-3">
			<h2 class="entry-title pb-3">
				<?php printf( esc_html__( 'Not found', 'positive-blog' )); ?>
			</h2>
			<p>
				<?php esc_html_e( 'Sorry, but there are no posts on this category.', 'positive-blog' ); ?>
			</p>
		</div>
		<?php endif; ?>

	</main>
</div>

<?php
get_sidebar();
get_footer();
