<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Positive_blog
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<!-- Site Header -->
	<header class="header">

		<!-- Top Header -->
		<div class="header-top text-center p-3">
			<?php
				$custom_logo_id = get_theme_mod( 'custom_logo' );
				$logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
				if ( has_custom_logo() ) {
					if ( is_home() ) {
						echo '<a href="'. esc_url(home_url()) .'"><h1 class="site-title"><img src="'. esc_url($logo[0]) .'" class="site-title-img"></h1></a>';
					} else {
						echo '<a href="'. esc_url(home_url()) .'"><h2 class="site-title"><img src="'. esc_url($logo[0]) .'" class="site-title-img"></h2></a>';
					}
				} else {
					if ( is_home() ) {
						echo '<a href="'. esc_url(home_url()) .'"><h1 class="site-title">'. get_bloginfo('name') .'</h1></a>';
					} else {
						echo '<a href="'. esc_url(home_url()) .'"><h2 class="site-title">'. get_bloginfo('name') .'</h2></a>';
					}
				}
			 ?>
			<p class="site-description m-0 p-0"><?php bloginfo('description'); ?></p>
		</div>

			<!-- Header Navigation -->
			<nav class="navbar navbar-expand-md header-navigation navbar-dark px-3">
				<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#bs-navbar-collapse-1" aria-controls="bs-navbar-collapse-1" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<?php
		        wp_nav_menu( array(
		            'theme_location'    => 'menu-1',
		            'depth'             => 2,
		            'container'         => 'div',
		            'container_class'   => 'collapse navbar-collapse justify-content-center',
		            'container_id'      => 'bs-navbar-collapse-1',
		            'menu_class'        => 'nav navbar-nav',
		            'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
		            'walker'            => new WP_Bootstrap_Navwalker())
		        );
				?>

			</nav>

	</header>
	<!-- End Site Header -->

	<!-- Site Content -->
	<div class="site-content container">
		<div class="row py-4">
