<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Positive_blog
 */

get_header(); ?>

			<!-- Main page content -->
			<div class="col-12 col-md-8 col-lg-9">
			<main class="main-content">
				<div class="row">

					<?php if (have_posts()): while (have_posts()): the_post(); ?>

					<div class="col-12 col-md-6 my-3">
						<article class="brick entry post">
							<?php if (has_post_thumbnail()): ?>
							<?php the_post_thumbnail('post_thumbnail', array('class' => 'img-fluid')); ?>
							<?php endif; ?>
							<header class="entry-header p-3">
								<h2 class= "entry-title pb-3 pt-2">
									<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
										<?php the_title(); ?>
									</a>
								</h2>
								<div class="entry-meta py-1">
									<span class="entry-published"><?php esc_html_e( 'Published on ', 'positive-blog' ); the_date(); ?></span>
								</div>
							</header>
							<div class="entry-summary p-3">
								<?php the_excerpt(); ?>
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="read-more-buttom mt-3 p-1">Read more</a>
							</div>

						</article>
					</div>

					<?php endwhile; ?>

				</div>

				<div class="pagination-links text-center p-5">
					<?php posts_nav_link(' '); ?>
				</div>

				<?php else: ?>
				<div class="brick my-3 p-3">
					<h2 class="entry-title pb-3">
						<?php printf( esc_html__( 'Not found', 'positive-blog' )); ?>
					</h2>
					<p>
						<?php esc_html_e( 'Sorry, but there are no posts yet.', 'positive-blog' ); ?>
					</p>
				</div>
				<?php endif; ?>

			</main>
			</div>
			<!-- End Main page content -->

<?php
get_sidebar();
get_footer();
