<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Positive_blog
 */

get_header(); ?>

			<!-- Main page content -->
			<div class="col-12 col-md-8 col-lg-9">
				<main class="main-content">
					<?php while( have_posts() ): the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class('brick entry post my-3'); ?>>
						<?php
							if (has_post_thumbnail()):
								the_post_thumbnail('post_thumbnail', array('class' => 'img-fluid'));
							endif;
						?>
						<header class="entry-header">
							<h1 class= "entry-title mx-3 my-0 py-4 text-center bottom-divider-line"><?php the_title(); ?></h1>
						</header>
						<div class="entry-content clearfix p-3">
							<?php the_content(); ?>
						</div>
					</article>
					<?php endwhile; ?>
				</main>

				<div class="comments-section">
					<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					 ?>
				</div>

			</div>
			<!-- End Main page content -->

<?php
get_sidebar();
get_footer();
