<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Positive_blog
 */

get_header(); ?>

	<div class="col-12 col-md-8 col-lg-9">
		<main class="main-content">

		<?php
		if ( have_posts() ) : ?>

			<h1 class= "entry-title py-3">
				<?php printf( esc_html__( 'Search Results for: %s', 'positive-blog' ), '<span>' . get_search_query() . '</span>' ); ?>
			</h1>

			<?php while ( have_posts() ) : the_post(); ?>

				<article class="brick my-3">
					<header class="entry-header">
						<h2 class= "entry-title pt-3 px-3">
							<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
								<?php the_title(); ?>
							</a>
						</h2>
					</header>
					<div class="entry-summary px-3 pb-3">
						<?php the_excerpt(); ?>
					</div>
				</article>

			<?php endwhile; ?>

			<div class="pagination-links text-center p-3">
				<?php posts_nav_link(' '); ?>
			</div>

		<?php else : ?>
			<div class="brick my-3 p-3">
				<h1 class="entry-title pb-3">
					<?php printf( esc_html__( 'Not found', 'positive-blog' )); ?>
				</h1>
				<p>
					<?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'positive-blog' ); ?>
				</p>
				<div class="py-3">
					<?php get_search_form(); ?>
				</div>
			</div>

		<?php endif; ?>

		</main>
	</div>

<?php
get_sidebar();
get_footer();
