<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Positive_blog
 */

get_header(); ?>

			<!-- Main page content -->
			<div class="col-12 col-md-8 col-lg-9">
				<main class="main-content">
					<?php while( have_posts() ): the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class('brick entry post my-3'); ?>>
						<?php
							if (has_post_thumbnail()):
								the_post_thumbnail('post-thumbnail', array('class' => 'img-fluid aligncenter'));
							endif;
						?>
						<header class="entry-header">
							<h1 class= "entry-title mx-3 my-0 py-4 text-center"><?php the_title(); ?></h1>
							<div class="entry-meta p-3 m-3">
								<span class="entry-published"><?php esc_html_e( 'Published on ', 'positive-blog' ); the_date(); ?></span>
								<time class="entry-author"><?php esc_html_e( ' by ', 'positive-blog' ); the_author(); ?></time>
							</div>
						</header>
						<div class="entry-content clearfix p-3 mx-3">
							<?php the_content(); ?>
						</div>
						<?php
							wp_link_pages( array(
								'before' => '<div class="page-links text-center">' . esc_html__( 'Pages: ', 'positive-blog' ),
								'after'  => '</div>',
							) );
						?>

					</article>
					<?php endwhile; ?>
				</main>

				<div class="comments-section">
					<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					 ?>
				</div>
			</div>
			<!-- End Main page content -->

<?php
get_sidebar();
get_footer();
